### Method

# Panel SessionItem set_workspace

#### Declaration [src]

    void
    panel_session_item_set_workspace (
      PanelSessionItem* self,
      const char* workspace
    )

#### Description [src]

Sets the workspace id for the item.

This is generally used to tie an item to a specific workspace.

Sets property | `Panel.SessionItem:workspace`

#### Parameters

`workspace`

  Type: `const char*`

  A workspace string for the item.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.